/*
 *
 * SCTP implementation according to RFC 2960.
 * Copyright (C) 2000 by Siemens AG, Munich, Germany.
 *
 * Realized in co-operation between Siemens AG
 * and University of Essen, Institute of Computer Networking Technology.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * There are two mailinglists available at http://www.sctp.de which should be
 * used for any discussion related to this implementation.
 *
 * Contact: discussion@sctp.de
 *          Michael.Tuexen@icn.siemens.de
 *          ajung@exp-math.uni-essen.de
 *
 * Purpose: Module header for functions to write logfiles
 * Author : Sim Woon Chiat Siemens ICM N PG U SE D2
 *
 */

#ifndef LOGGER_H
#define LOGGER_H

/* Level of logging */
/* Note: At this point in time, verbose just mean with Timestamp.
   However, that more stuff may be added as deemed fit */
#define LOG_LEVEL_1    1     /* Print to Screen : non-verbose*/
#define LOG_LEVEL_2    2     /* Print to Screen : verbose*/
#define LOG_LEVEL_3    3     /* Print to LogFile : non-verbose*/
#define LOG_LEVEL_4    4     /* Print to LogFile : verbose*/
#define LOG_LEVEL_5    5     /* Print to Screen & LogFile : non-verbose*/
#define LOG_LEVEL_6    6     /* Print to Screen & LogFile : verbose*/

/* Type of Log messages */
#define monStatus           1
#define monSCTPD            2
#define monUA               3
#define monSCTPStatus       4
#define monTesting          5
#define monRaw              6


int startLogger(char *logFile,short l);
void logMsg(char *msg,short msgType);
int stopLogger();


#endif
