/**
 * fontchooser.c
 *
 * Turns the entire font selection dialog widget
 * into a re-useable function call 
 */


#include "fontchooser.h"


GdkFont * chosenfont;


/* Font dialog's OK button clicked handler */
static void OkClicked ( GtkButton * button, gpointer data )
{

  /* Load up a GdkFont based on the name of the 
     font selected in the dialog itself */
  chosenfont = gdk_font_load(
			     gtk_font_selection_dialog_get_font_name ( GTK_FONT_SELECTION_DIALOG ( data ) ));

  gtk_widget_destroy ( GTK_WIDGET(data) );

}


static void CancelClicked ( GtkButton * button, gpointer data )
{
  gtk_widget_destroy ( GTK_WIDGET(data) );
}



static void DialogClosed ( GtkWidget * dialog, gpointer data )
{
  gtk_main_quit ();
}



GdkFont * ChooseFont ( gchar * title )
{

  GtkWidget * fontdialog;

  fontdialog = gtk_font_selection_dialog_new ( title );
  gtk_signal_connect ( GTK_OBJECT ( fontdialog ), "destroy", 
		       GTK_SIGNAL_FUNC ( DialogClosed ), NULL );

  gtk_signal_connect ( GTK_OBJECT ( GTK_FONT_SELECTION_DIALOG ( fontdialog ) -> ok_button ), 
		       "clicked", 
		       GTK_SIGNAL_FUNC ( OkClicked ), 
		       fontdialog );
  
  gtk_signal_connect ( GTK_OBJECT ( GTK_FONT_SELECTION_DIALOG ( fontdialog ) -> cancel_button ), 
		       "clicked", 
		       GTK_SIGNAL_FUNC ( CancelClicked ), 
		       fontdialog );

  chosenfont = NULL;
  gtk_widget_show ( fontdialog );
  gtk_window_set_modal ( GTK_WINDOW ( fontdialog ) , TRUE );
  gtk_main ();

  return chosenfont;

}
